Subject: Re: Old regression with MTD devices disappearing from a Kurobox HD/HG

From: Scott Wood <[email-masked]>
Date: Tue, 7 Apr 2015 17:34:04 -0500

On Sat, 2015-04-04 at 02:40 -0300, Rogério Brito wrote:
> Unfortunately, right now, what I see with Linus's tree
> (4.0.0-rc6-00009-g6c310bc) is the following:
> 
> ,----
> | physmap platform flash device: 00400000 at ffc00000
> | physmap-flash.0: Found 1 x16 devices at 0x0 in 8-bit bank. Manufacturer ID 0x000004 Chip ID 0x00007e
> | Amd/Fujitsu Extended Query Table at 0x0040
> |   Amd/Fujitsu Extended Query version 1.3.
> | physmap-flash.0: Swapping erase regions for top-boot CFI table.
> | number of CFI chips: 1
> `----
> 
> I note that arch/powerpc/boot/dts/kuroboxH{D,G}.dts have, as one of their
> first lines, the following comment: [0][1]
> 
>     XXXX add flash parts, rtc, ??
> 
> [0]: http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/tree/arch/powerpc/boot/dts/kuroboxHD.dts?id=1cced5015b171415169d938fb179c44fe060dc15#n17
> [1]: http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/tree/arch/powerpc/boot/dts/kuroboxHG.dts?id=1cced5015b171415169d938fb179c44fe060dc15#n17
> 
> Is this a problem that can be fixed via additions to the DTS files?  Or
> would the problem be solved in a different way?

What are your bootargs?

I suggest putting the flash device into the dts (instead of using
physmap), and specifying the partitions on the command-line using
mtdparts.  Putting the partitions in the dts is an option as well, but
less flexible if users may want to change the partition layout -- though
that may be less of a concern here than with reference boards.

-Scott